### Method

# Gdk DmabufTextureBuilder set_color_state

since: 4.16

#### Declaration [src]

    void
    gdk_dmabuf_texture_builder_set_color_state (
      GdkDmabufTextureBuilder* self,
      GdkColorState* color_state
    )

#### Description [src]

Sets the color state for the texture.

By default, the colorstate is `NULL`. In that case, GTK will choose the correct colorstate based on the format. If you don’t know what colorstates are, this is probably the right thing.

Available since: 4.16

Sets property | `Gdk.DmabufTextureBuilder:color-state`

#### Parameters

`color_state`

  Type: `GdkColorState`

  A `GdkColorState` or `NULL` to unset the colorstate.

  The argument can be `NULL`.
  The data is owned by the caller of the method.